Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 87a5193af0f64e923b28ec5fc3bdd5b2fe2ac6c6)
+++ chapter01/changelog.xml	(revision a91de2aaa7081263d524f4cc168aa710fb4d480e)
@@ -44,4 +44,22 @@
 -->
     <listitem>
+      <para>2018-01-06</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.14.12.  Fixes
+          <ulink url="&lfs-ticket-root;4192">#4192</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gdbm-1.14.1.  Fixes
+          <ulink url="&lfs-ticket-root;4191">#4191</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.43.8.  Fixes
+          <ulink url="&lfs-ticket-root;4190">#4190</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-01-01</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 87a5193af0f64e923b28ec5fc3bdd5b2fe2ac6c6)
+++ chapter01/whatsnew.xml	(revision a91de2aaa7081263d524f4cc168aa710fb4d480e)
@@ -95,8 +95,8 @@
     <!--<listitem>
       <para>GCC-&gcc-version;</para>
-    </listitem>
+    </listitem>-->
     <listitem>
       <para>GDBM-&gdbm-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Gettext-&gettext-version;</para>
Index: chapter05/stripping.xml
===================================================================
--- chapter05/stripping.xml	(revision 87a5193af0f64e923b28ec5fc3bdd5b2fe2ac6c6)
+++ chapter05/stripping.xml	(revision a91de2aaa7081263d524f4cc168aa710fb4d480e)
@@ -32,4 +32,8 @@
 <screen><userinput>rm -rf /tools/{,share}/{info,man,doc}</userinput></screen>
 
+  <para>Remove unneeded files:</para>
+
+<screen><userinput>find /tools/{lib,libexec} -name \*.la -delete</userinput></screen>
+
   <para>At this point, you should have at least 3 GB of free space in
   <envar>$LFS</envar> that can be used to build and install Glibc and Gcc in
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision 87a5193af0f64e923b28ec5fc3bdd5b2fe2ac6c6)
+++ chapter06/createfiles.xml	(revision a91de2aaa7081263d524f4cc168aa710fb4d480e)
@@ -44,6 +44,7 @@
 ln -sv /tools/lib/libgcc_s.so{,.1} /usr/lib
 ln -sv /tools/lib/libstdc++.{a,so{,.6}} /usr/lib
-sed 's/tools/usr/' /tools/lib/libstdc++.la > /usr/lib/libstdc++.la
 ln -sv bash /bin/sh</userinput></screen>
+
+<!--sed 's/tools/usr/' /tools/lib/libstdc++.la > /usr/lib/libstdc++.la -->
 
 <screen revision="systemd"><userinput>ln -sv /tools/bin/{bash,cat,dd,echo,ln,pwd,rm,stty} /bin
Index: general.ent
===================================================================
--- general.ent	(revision 87a5193af0f64e923b28ec5fc3bdd5b2fe2ac6c6)
+++ general.ent	(revision a91de2aaa7081263d524f4cc168aa710fb4d480e)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180101">
+<!ENTITY version         "SVN-20180106">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180101-systemd">
+<!ENTITY versiond        "20180106-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 1, 2018">
+<!ENTITY releasedate     "January 6, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 87a5193af0f64e923b28ec5fc3bdd5b2fe2ac6c6)
+++ packages.ent	(revision a91de2aaa7081263d524f4cc168aa710fb4d480e)
@@ -138,8 +138,8 @@
      of acceptable features that can be shown by debugfs in
      chapter02/creatingfilesystem.xml -->
-<!ENTITY e2fsprogs-version "1.43.7">
-<!ENTITY e2fsprogs-size "7,318 KB">
+<!ENTITY e2fsprogs-version "1.43.8">
+<!ENTITY e2fsprogs-size "7,311 KB">
 <!ENTITY e2fsprogs-url "http://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "6d1338c7f4b325e55e5b60ceb7c52a6c">
+<!ENTITY e2fsprogs-md5 "af4f9aeba1a3b875c2ef1c58e995578d">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "58 MB">
@@ -230,8 +230,8 @@
 <!ENTITY libstdcpp-ch5-sbu "0.4 SBU">
 
-<!ENTITY gdbm-version "1.13">
-<!ENTITY gdbm-size "872 KB">
+<!ENTITY gdbm-version "1.14.1">
+<!ENTITY gdbm-size "874 KB">
 <!ENTITY gdbm-url "&gnu;gdbm/gdbm-&gdbm-version;.tar.gz">
-<!ENTITY gdbm-md5 "8929dcda2a8de3fd2367bdbf66769376">
+<!ENTITY gdbm-md5 "c2ddcb3897efa0f57484af2bd4f4f848">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
 <!ENTITY gdbm-ch6-du "10 MB">
@@ -409,10 +409,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "14">
-<!ENTITY linux-patch-version "10">
+<!ENTITY linux-patch-version "12">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">i-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "98,438 KB">
+<!ENTITY linux-size "98,453 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "cfab8ee2ee4eb6600a1e7da33a2ff275">
+<!ENTITY linux-md5 "746e5b2f0ab0ace9e33f436fcb69f2e1">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
